Subject: bug#35487: Make visiting function from help-mode more customizable

From: martin rudalics <[email-masked]>
Date: Fri, 10 May 2019 10:00:30 +0200

> As a side effect, `C-h f' opens *Help* buffer in the same window.  I
 > still want to open *Help* in other window (original behavior).  Do you
 > have idea to do so?

You could try with

(defun display-buffer-condition-from-help (_buffer-name _action)
   (string-match-p "\\`\\*\\(Help\\)\\*\\(\\|<[0-9]+>\\)\\'"
		  (buffer-name (window-buffer))))

martin